Ask Your Question
0

Version issue while importing pipeline from QA(Streamsets version 3.8) to deploy in PROD(Streamsets version 3.5)

asked 2019-10-11 21:10:03 -0600

SH gravatar image

Version issue - I have Streamsets version 3.5 in my PROD environment and version 3.8 in QA environment. I have created the pipeline in QA(3.5) and exported it to .JSON to deploy in PROD(3.8).

I am getting version issue. Please let me know the fix or workaround for this

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-10-14 11:14:11 -0600

iamontheinet gravatar image

Hi!

Generally speaking, you can't have a piece of software that is forward compatible. In this case, expecting a pipeline created in newer version of the platform to run on an older version of the platform. Not to be confused with back compatibility which is newer version of the platform being able to run pipeline created on an older version of the platform. Hope that makes sense.

I'd recommend setting up a replica of your prod env with 3.8 installed and testing your pipeline(s) there and then upgrading your prod env. Also refer to the detailed upgrade documentation.

Cheers, Dash

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2019-10-11 21:08:22 -0600

Seen: 264 times

Last updated: Oct 14